org.jboss.shrinkwrap.descriptor.api.connector16

## Interface ConnectorType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConnectorType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `connectorType` xsd type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconType<ConnectorType<T>>` | `createIcon()` Creates a new `icon` element
    `ConnectorType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `ConnectorType<T>` | `displayName(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
    `ConnectorType<T>` | `eisType(java.lang.String eisType)` Sets the `eis-type` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<java.lang.String>` | `getAllDisplayName()` Returns all `display-name` elements
    `java.util.List<IconType<ConnectorType<T>>>` | `getAllIcon()` Returns all `icon` elements
    `java.util.List<java.lang.String>` | `getAllRequiredWorkContext()` Returns all `required-work-context` elements
    `java.lang.String` | `getEisType()` Returns the `eis-type` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getModuleName()` Returns the `module-name` element
    `IconType<ConnectorType<T>>` | `getOrCreateIcon()` If not already created, a new `icon` element will be created and returned.
    `LicenseType<ConnectorType<T>>` | `getOrCreateLicense()` If not already created, a new `license` element with the given value will be created.
    `ResourceadapterType<ConnectorType<T>>` | `getOrCreateResourceadapter()` If not already created, a new `resourceadapter` element with the given value will be created.
    `java.lang.String` | `getResourceadapterVersion()` Returns the `resourceadapter-version` element
    `java.lang.String` | `getVendorName()` Returns the `vendor-name` element
    `java.lang.String` | `getVersion()` Returns the `version` attribute
    `ConnectorType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` attribute
    `ConnectorType<T>` | `metadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
    `ConnectorType<T>` | `moduleName(java.lang.String moduleName)` Sets the `module-name` element
    `ConnectorType<T>` | `removeAllDescription()` Removes the `description` element
    `ConnectorType<T>` | `removeAllDisplayName()` Removes the `display-name` element
    `ConnectorType<T>` | `removeAllIcon()` Removes all `icon` elements
    `ConnectorType<T>` | `removeAllRequiredWorkContext()` Removes the `required-work-context` element
    `ConnectorType<T>` | `removeEisType()` Removes the `eis-type` element
    `ConnectorType<T>` | `removeId()` Removes the `id` attribute
    `ConnectorType<T>` | `removeLicense()` Removes the `license` element
    `ConnectorType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
    `ConnectorType<T>` | `removeModuleName()` Removes the `module-name` element
    `ConnectorType<T>` | `removeResourceadapter()` Removes the `resourceadapter` element
    `ConnectorType<T>` | `removeResourceadapterVersion()` Removes the `resourceadapter-version` element
    `ConnectorType<T>` | `removeVendorName()` Removes the `vendor-name` element
    `ConnectorType<T>` | `removeVersion()` Removes the `version` attribute
    `ConnectorType<T>` | `requiredWorkContext(java.lang.String... values)` Creates for all String objects representing `required-work-context` elements, a new `required-work-context` element
    `ConnectorType<T>` | `resourceadapterVersion(java.lang.String resourceadapterVersion)` Sets the `resourceadapter-version` element
    `ConnectorType<T>` | `vendorName(java.lang.String vendorName)` Sets the `vendor-name` element
    `ConnectorType<T>` | `version(java.lang.String version)` Sets the `version` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Field Detail

    - #### VERSION

          static final java.lang.String VERSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### description

          ConnectorType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ConnectorType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ConnectorType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ConnectorType`

    - #### displayName

          ConnectorType<T> displayName(java.lang.String... values)

      Creates for all String objects representing `display-name` elements, a new `display-name` element
      Parameters:
        `values` - list of `display-name` objects
      Returns:
        the current instance of `ConnectorType`

    - #### getAllDisplayName

          java.util.List<java.lang.String> getAllDisplayName()

      Returns all `display-name` elements
      Returns:
        list of `display-name`

    - #### removeAllDisplayName

          ConnectorType<T> removeAllDisplayName()

      Removes the `display-name` element
      Returns:
        the current instance of `ConnectorType`

    - #### getOrCreateIcon

          IconType<ConnectorType<T>> getOrCreateIcon()

      If not already created, a new `icon` element will be created and returned. Otherwise, the first existing `icon` element will be returned.
      Returns:
        the instance defined for the element `icon`

    - #### createIcon

          IconType<ConnectorType<T>> createIcon()

      Creates a new `icon` element
      Returns:
        the new created instance of `IconType>`

    - #### getAllIcon

          java.util.List<IconType<ConnectorType<T>>> getAllIcon()

      Returns all `icon` elements
      Returns:
        list of `icon`

    - #### removeAllIcon

          ConnectorType<T> removeAllIcon()

      Removes all `icon` elements
      Returns:
        the current instance of `IconType>`

    - #### moduleName

          ConnectorType<T> moduleName(java.lang.String moduleName)

      Sets the `module-name` element
      Parameters:
        `moduleName` - the value for the element `module-name`
      Returns:
        the current instance of `ConnectorType`

    - #### getModuleName

          java.lang.String getModuleName()

      Returns the `module-name` element
      Returns:
        the node defined for the element `module-name`

    - #### removeModuleName

          ConnectorType<T> removeModuleName()

      Removes the `module-name` element
      Returns:
        the current instance of `ConnectorType`

    - #### vendorName

          ConnectorType<T> vendorName(java.lang.String vendorName)

      Sets the `vendor-name` element
      Parameters:
        `vendorName` - the value for the element `vendor-name`
      Returns:
        the current instance of `ConnectorType`

    - #### getVendorName

          java.lang.String getVendorName()

      Returns the `vendor-name` element
      Returns:
        the node defined for the element `vendor-name`

    - #### removeVendorName

          ConnectorType<T> removeVendorName()

      Removes the `vendor-name` element
      Returns:
        the current instance of `ConnectorType`

    - #### eisType

          ConnectorType<T> eisType(java.lang.String eisType)

      Sets the `eis-type` element
      Parameters:
        `eisType` - the value for the element `eis-type`
      Returns:
        the current instance of `ConnectorType`

    - #### getEisType

          java.lang.String getEisType()

      Returns the `eis-type` element
      Returns:
        the node defined for the element `eis-type`

    - #### removeEisType

          ConnectorType<T> removeEisType()

      Removes the `eis-type` element
      Returns:
        the current instance of `ConnectorType`

    - #### resourceadapterVersion

          ConnectorType<T> resourceadapterVersion(java.lang.String resourceadapterVersion)

      Sets the `resourceadapter-version` element
      Parameters:
        `resourceadapterVersion` - the value for the element `resourceadapter-version`
      Returns:
        the current instance of `ConnectorType`

    - #### getResourceadapterVersion

          java.lang.String getResourceadapterVersion()

      Returns the `resourceadapter-version` element
      Returns:
        the node defined for the element `resourceadapter-version`

    - #### removeResourceadapterVersion

          ConnectorType<T> removeResourceadapterVersion()

      Removes the `resourceadapter-version` element
      Returns:
        the current instance of `ConnectorType`

    - #### getOrCreateLicense

          LicenseType<ConnectorType<T>> getOrCreateLicense()

      If not already created, a new `license` element with the given value will be created. Otherwise, the existing `license` element will be returned.
      Returns:
        a new or existing instance of `LicenseType>`

    - #### removeLicense

          ConnectorType<T> removeLicense()

      Removes the `license` element
      Returns:
        the current instance of `ConnectorType`

    - #### getOrCreateResourceadapter

          ResourceadapterType<ConnectorType<T>> getOrCreateResourceadapter()

      If not already created, a new `resourceadapter` element with the given value will be created. Otherwise, the existing `resourceadapter` element will be returned.
      Returns:
        a new or existing instance of `ResourceadapterType>`

    - #### removeResourceadapter

          ConnectorType<T> removeResourceadapter()

      Removes the `resourceadapter` element
      Returns:
        the current instance of `ConnectorType`

    - #### requiredWorkContext

          ConnectorType<T> requiredWorkContext(java.lang.String... values)

      Creates for all String objects representing `required-work-context` elements, a new `required-work-context` element
      Parameters:
        `values` - list of `required-work-context` objects
      Returns:
        the current instance of `ConnectorType`

    - #### getAllRequiredWorkContext

          java.util.List<java.lang.String> getAllRequiredWorkContext()

      Returns all `required-work-context` elements
      Returns:
        list of `required-work-context`

    - #### removeAllRequiredWorkContext

          ConnectorType<T> removeAllRequiredWorkContext()

      Removes the `required-work-context` element
      Returns:
        the current instance of `ConnectorType`

    - #### version

          ConnectorType<T> version(java.lang.String version)

      Sets the `version` attribute
      Parameters:
        `version` - the value for the attribute `version`
      Returns:
        the current instance of `ConnectorType`

    - #### getVersion

          java.lang.String getVersion()

      Returns the `version` attribute
      Returns:
        the value defined for the attribute `version`

    - #### removeVersion

          ConnectorType<T> removeVersion()

      Removes the `version` attribute
      Returns:
        the current instance of `ConnectorType`

    - #### metadataComplete

          ConnectorType<T> metadataComplete(java.lang.Boolean metadataComplete)

      Sets the `metadata-complete` attribute
      Parameters:
        `metadataComplete` - the value for the attribute `metadata-complete`
      Returns:
        the current instance of `ConnectorType`

    - #### isMetadataComplete

          java.lang.Boolean isMetadataComplete()

      Returns the `metadata-complete` attribute
      Returns:
        the value defined for the attribute `metadata-complete`

    - #### removeMetadataComplete

          ConnectorType<T> removeMetadataComplete()

      Removes the `metadata-complete` attribute
      Returns:
        the current instance of `ConnectorType`

    - #### id

          ConnectorType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ConnectorType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ConnectorType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ConnectorType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)